using FluentValidation;

namespace TeleWave.Application.Auth.ChangeUserName;

public sealed class ChangeUserNameCommandValidator : AbstractValidator<ChangeUserNameCommand>
{
    public ChangeUserNameCommandValidator()
    {
        RuleFor(x => x.NewUserName).NotEmpty().MinimumLength(3).MaximumLength(64);
    }
}
